#include <vector>
#include <cstdint>
#include <cstring>
#include <string>
#include <stdexcept>
#include <algorithm>
#include <cctype>
#include <cstdlib>

// 生成带协议头的二进制报文
std::vector<unsigned char> generate_binary_message(
    uint16_t msg_type,
    const std::vector<unsigned char> & payload);

// 生成装置云服务登录报文
std::vector<unsigned char> generate_frontlogin_message(const std::string& strMac);
